#ifndef MAKE_ID
#define MAKE_ID(a,b,c,d) ((ULONG) (a)<<24 | (ULONG) (b)<<16 | (ULONG) (c)<<8 | (ULONG) (d))
#endif

#ifdef _DCC
#define __inline
#endif

#include "MUIB-DemoGui.h"

struct ObjApp * CreateApp(void)
{
	struct ObjApp * Object;

	APTR	MN_label_0Project, MN_label_0Quit, GROUP_ROOT_0, GR_grp_0, MN_label_2Buttons;
	APTR	MN_label_21st_button, MN_label_22nd_button, MN_label_23rd_button;
	APTR	GROUP_ROOT_1, GR_grp_1, GR_grp_2, Space_1, Space_2, GROUP_ROOT_2;
	APTR	obj_aux0, obj_aux1, GR_grp_3, GR_grp_4, GR_grp_6, GR_grp_7, GR_grp_8;
	APTR	GROUP_ROOT_3, GR_grp_9, Space_6, GR_grp_11, LA_label_0, LA_label_1;
	APTR	LA_label_2, GR_grp_12, GR_grp_13, GROUP_ROOT_2C, obj_aux2, obj_aux3;
	APTR	GR_grp_3C, GR_grp_4C, GR_grp_6C, GR_grp_7C, GR_grp_8C, GROUP_ROOT_4;
	APTR	GR_grp_14, Space_14, Space_15;

	if (!(Object = AllocVec(sizeof(struct ObjApp), MEMF_PUBLIC|MEMF_CLEAR)))
		return(NULL);

	Object->STR_TX_label_0 = "** **";
	Object->STR_TX_label_2 = "Again\na tricky\nDemo\n\n Click everywhere !!!";
	Object->LV_label_0Content = "Well : that is a floattext object \n \n ... and just a very small example !!";
	Object->STR_TX_label_1 = "A popobject can contain more \n than a simple list \n(try to move the sliders !!)";

	Object->RA_label_0Content[0] = "PopAsl Demo";
	Object->RA_label_0Content[1] = "PopObject Demo";
	Object->RA_label_0Content[2] = NULL;
	Object->STR_GR_grp_10[0] = "PopAsl";
	Object->STR_GR_grp_10[1] = "PopObject";
	Object->STR_GR_grp_10[2] = NULL;
	Object->CY_label_0Content[0] = "Bad";
	Object->CY_label_0Content[1] = "Ok";
	Object->CY_label_0Content[2] = "Great";
	Object->CY_label_0Content[3] = "Fantastic";
	Object->CY_label_0Content[4] = NULL;
	Object->RA_label_1Content[0] = "Bad";
	Object->RA_label_1Content[1] = "Ok";
	Object->RA_label_1Content[2] = "Great";
	Object->RA_label_1Content[3] = "Fantastic";
	Object->RA_label_1Content[4] = NULL;

	Object->BT_One = TextObject,
		ButtonFrame,
		MUIA_Disabled, TRUE,
		MUIA_ControlChar, 'b',
		MUIA_Text_Contents, "\033I[6:31]",
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_HiChar, 'b',
		MUIA_HelpNode, "BT_One",
		MUIA_InputMode, MUIV_InputMode_RelVerify,
	End;

	Object->BT_Two = TextObject,
		ButtonFrame,
		MUIA_Disabled, TRUE,
		MUIA_ControlChar, 'b',
		MUIA_Text_Contents, "\033I[6:39]",
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_HiChar, 'b',
		MUIA_HelpNode, "BT_Two",
		MUIA_InputMode, MUIV_InputMode_RelVerify,
	End;

	Object->BT_begin = SimpleButton("_Begin");

	Object->BT_Three = TextObject,
		ButtonFrame,
		MUIA_Disabled, TRUE,
		MUIA_ControlChar, 'b',
		MUIA_Text_Contents, "\033I[6:38]",
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_HiChar, 'b',
		MUIA_HelpNode, "BT_Three",
		MUIA_InputMode, MUIV_InputMode_RelVerify,
	End;

	GR_grp_0 = GroupObject,
		MUIA_HelpNode, "GR_grp_0",
		MUIA_Group_Horiz, TRUE,
		MUIA_Group_SameWidth, TRUE,
		Child, Object->BT_Two,
		Child, Object->BT_begin,
		Child, Object->BT_Three,
	End;

	Object->BT_Four = TextObject,
		ButtonFrame,
		MUIA_Disabled, TRUE,
		MUIA_ControlChar, 'b',
		MUIA_Text_Contents, "\033I[6:30]",
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_HiChar, 'b',
		MUIA_HelpNode, "BT_Four",
		MUIA_InputMode, MUIV_InputMode_RelVerify,
	End;

	GROUP_ROOT_0 = GroupObject,
		Child, Object->BT_One,
		Child, GR_grp_0,
		Child, Object->BT_Four,
	End;

	Object->WI_Turn = WindowObject,
		MUIA_Window_Title, "Turn Around !",
		MUIA_Window_ID, MAKE_ID('0', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_0,
	End;

	Object->BT_label_4 = SimpleButton("Button _1");

	Object->BT_label_5 = SimpleButton("Button _2");

	Object->BT_label_6 = SimpleButton("Button _3");

	GR_grp_1 = GroupObject,
		MUIA_HelpNode, "GR_grp_1",
		MUIA_Weight, 33,
		Child, Object->BT_label_4,
		Child, Object->BT_label_5,
		Child, Object->BT_label_6,
	End;

	Space_1 = VSpace(0);

	Object->TX_label_0 = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_TX_label_0,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Space_2 = VSpace(0);

	GR_grp_2 = GroupObject,
		MUIA_HelpNode, "GR_grp_2",
		MUIA_Frame, MUIV_Frame_Group,
		Child, Space_1,
		Child, Object->TX_label_0,
		Child, Space_2,
	End;

	GROUP_ROOT_1 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, GR_grp_1,
		Child, GR_grp_2,
	End;

	MN_label_21st_button = MenuitemObject,
		MUIA_Menuitem_Title, "1st menu",
		MUIA_Menuitem_Shortcut, "1",
	End;

	MN_label_22nd_button = MenuitemObject,
		MUIA_Menuitem_Title, "2nd menu",
		MUIA_Menuitem_Shortcut, "2",
	End;

	MN_label_23rd_button = MenuitemObject,
		MUIA_Menuitem_Title, "3rd menu",
		MUIA_Menuitem_Shortcut, "3",
	End;

	MN_label_2Buttons = MenuObject,
		MUIA_Menu_Title, "Buttons",
		MUIA_Family_Child, MN_label_21st_button,
		MUIA_Family_Child, MN_label_22nd_button,
		MUIA_Family_Child, MN_label_23rd_button,
	End;

	Object->MN_label_2 = MenustripObject,
		MUIA_Family_Child, MN_label_2Buttons,
	End;

	Object->WI_Buttons = WindowObject,
		MUIA_Window_Title, "Buttons & Menus Notify",
		MUIA_Window_Menustrip, Object->MN_label_2,
		MUIA_Window_ID, MAKE_ID('1', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_1,
	End;

	Object->SL_label_0 = SliderObject,
		MUIA_HelpNode, "SL_label_0",
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
	End;

	obj_aux1 = Label2("Level");

	obj_aux0 = GroupObject,
		MUIA_Group_Columns, 2,
		Child, obj_aux1,
		Child, Object->SL_label_0,
	End;

	Object->GA_label_0 = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_0",
		MUIA_FixWidth, 15,
		MUIA_Gauge_Max, 100,
	End;

	Object->GA_label_1 = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_1",
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_Max, 100,
	End;

	Object->SL_label_1 = SliderObject,
		MUIA_HelpNode, "SL_label_1",
		MUIA_Weight, 5,
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
		MUIA_Slider_Reverse, TRUE,
	End;

	Object->GA_label_4 = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_4",
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_Max, 100,
	End;

	Object->SL_label_3 = SliderObject,
		MUIA_HelpNode, "SL_label_3",
		MUIA_Weight, 5,
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
	End;

	Object->GA_label_6 = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_6",
		MUIA_Gauge_Max, 100,
	End;

	Object->SL_label_4 = SliderObject,
		MUIA_HelpNode, "SL_label_4",
		MUIA_Weight, 5,
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
		MUIA_Slider_Reverse, TRUE,
	End;

	GR_grp_8 = GroupObject,
		MUIA_HelpNode, "GR_grp_8",
		MUIA_Group_Horiz, TRUE,
		Child, Object->SL_label_3,
		Child, Object->GA_label_6,
		Child, Object->SL_label_4,
	End;

	Object->GA_label_5 = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_5",
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_Max, 100,
	End;

	GR_grp_7 = GroupObject,
		MUIA_HelpNode, "GR_grp_7",
		Child, Object->GA_label_4,
		Child, GR_grp_8,
		Child, Object->GA_label_5,
	End;

	Object->SL_label_2 = SliderObject,
		MUIA_HelpNode, "SL_label_2",
		MUIA_Weight, 5,
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
	End;

	GR_grp_6 = GroupObject,
		MUIA_HelpNode, "GR_grp_6",
		MUIA_Group_Horiz, TRUE,
		Child, Object->SL_label_1,
		Child, GR_grp_7,
		Child, Object->SL_label_2,
	End;

	Object->GA_label_2 = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_2",
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_Max, 100,
	End;

	GR_grp_4 = GroupObject,
		MUIA_HelpNode, "GR_grp_4",
		Child, Object->GA_label_1,
		Child, GR_grp_6,
		Child, Object->GA_label_2,
	End;

	Object->GA_label_3 = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_3",
		MUIA_FixWidth, 15,
		MUIA_Gauge_Max, 100,
	End;

	GR_grp_3 = GroupObject,
		MUIA_HelpNode, "GR_grp_3",
		MUIA_Group_Horiz, TRUE,
		Child, Object->GA_label_0,
		Child, GR_grp_4,
		Child, Object->GA_label_3,
	End;

	GROUP_ROOT_2 = GroupObject,
		Child, obj_aux0,
		Child, GR_grp_3,
	End;

	Object->WI_Gauges = WindowObject,
		MUIA_Window_Title, "Gauges",
		MUIA_Window_ID, MAKE_ID('2', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_2,
	End;

	Object->RA_label_0 = RadioObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_HelpNode, "RA_label_0",
		MUIA_Radio_Entries, Object->RA_label_0Content,
	End;

	Space_6 = HVSpace;

	Object->TX_label_2 = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_TX_label_2,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	GR_grp_9 = GroupObject,
		MUIA_HelpNode, "GR_grp_9",
		Child, Object->RA_label_0,
		Child, Space_6,
		Child, Object->TX_label_2,
	End;

	LA_label_0 = Label("File");

	Object->STR_PA_label_0 = String("", 80);

	Object->PA_label_0 = PopButton(MUII_PopUp);

	Object->PA_label_0 = PopaslObject,
		MUIA_HelpNode, "PA_label_0",
		MUIA_ControlChar, 'f',
		MUIA_Popasl_Type, 0,
		MUIA_Popstring_String, Object->STR_PA_label_0,
		MUIA_Popstring_Button, Object->PA_label_0,
	End;

	LA_label_1 = Label("Font");

	Object->STR_PA_label_1 = String("", 80);

	Object->PA_label_1 = PopButton(MUII_PopUp);

	Object->PA_label_1 = PopaslObject,
		MUIA_HelpNode, "PA_label_1",
		MUIA_ControlChar, 'o',
		MUIA_Popasl_Type, 1,
		MUIA_Popstring_String, Object->STR_PA_label_1,
		MUIA_Popstring_Button, Object->PA_label_1,
	End;

	LA_label_2 = Label("ScreenMode");

	Object->STR_PA_label_2 = String("", 80);

	Object->PA_label_2 = PopButton(MUII_PopUp);

	Object->PA_label_2 = PopaslObject,
		MUIA_HelpNode, "PA_label_2",
		MUIA_ControlChar, 's',
		MUIA_Popasl_Type, 2,
		MUIA_Popstring_String, Object->STR_PA_label_2,
		MUIA_Popstring_Button, Object->PA_label_2,
	End;

	GR_grp_11 = GroupObject,
		MUIA_HelpNode, "GR_grp_11",
		MUIA_Group_Columns, 2,
		Child, LA_label_0,
		Child, Object->PA_label_0,
		Child, LA_label_1,
		Child, Object->PA_label_1,
		Child, LA_label_2,
		Child, Object->PA_label_2,
	End;

	Object->LV_label_0 = FloattextObject,
		MUIA_Floattext_Text, Object->LV_label_0Content,
		MUIA_Frame, MUIV_Frame_ReadList,
	End;

	Object->LV_label_0 = ListviewObject,
		MUIA_HelpNode, "LV_label_0",
		MUIA_Listview_List, Object->LV_label_0,
	End;

	Object->STR_PO_label_0 = String("", 80);

	Object->PO_label_0 = PopobjectObject,
		MUIA_HelpNode, "PO_label_0",
		MUIA_Popstring_String, Object->STR_PO_label_0,
		MUIA_Popstring_Button, PopButton(MUII_PopUp),
		MUIA_Popobject_Object, Object->LV_label_0,
	End;

	Object->LV_label_1 = VolumelistObject,
		MUIA_Frame, MUIV_Frame_InputList,
	End;

	Object->LV_label_1 = ListviewObject,
		MUIA_HelpNode, "LV_label_1",
		MUIA_Listview_MultiSelect, MUIV_Listview_MultiSelect_Default,
		MUIA_Listview_Input, TRUE,
		MUIA_Listview_List, Object->LV_label_1,
	End;

	Object->STR_PO_label_1 = String("", 80);

	Object->PO_label_1 = PopobjectObject,
		MUIA_HelpNode, "PO_label_1",
		MUIA_Popstring_String, Object->STR_PO_label_1,
		MUIA_Popstring_Button, PopButton(MUII_PopUp),
		MUIA_Popobject_Object, Object->LV_label_1,
	End;

	Object->LV_label_2 = DirlistObject,
		MUIA_Background, MUII_ListBack,
		MUIA_Frame, MUIV_Frame_InputList,
		MUIA_Dirlist_Directory, "env:",
	End;

	Object->LV_label_2 = ListviewObject,
		MUIA_HelpNode, "LV_label_2",
		MUIA_Listview_List, Object->LV_label_2,
	End;

	Object->STR_PO_label_2 = String("", 80);

	Object->PO_label_2 = PopobjectObject,
		MUIA_HelpNode, "PO_label_2",
		MUIA_Popstring_String, Object->STR_PO_label_2,
		MUIA_Popstring_Button, PopButton(MUII_PopUp),
		MUIA_Popobject_Object, Object->LV_label_2,
	End;

	Object->TX_label_1 = TextObject,
		MUIA_Background, MUII_TextBack,
		MUIA_Frame, MUIV_Frame_Text,
		MUIA_Text_Contents, Object->STR_TX_label_1,
		MUIA_Text_PreParse, "\033c",
		MUIA_Text_SetMin, TRUE,
	End;

	Object->SL_label_0C = SliderObject,
		MUIA_HelpNode, "SL_label_0C",
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
	End;

	obj_aux3 = Label2("Level");

	obj_aux2 = GroupObject,
		MUIA_Group_Columns, 2,
		Child, obj_aux3,
		Child, Object->SL_label_0C,
	End;

	Object->GA_label_0C = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_0C",
		MUIA_FixWidth, 15,
		MUIA_Gauge_Max, 100,
	End;

	Object->GA_label_1C = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_1C",
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_Max, 100,
	End;

	Object->SL_label_1C = SliderObject,
		MUIA_HelpNode, "SL_label_1C",
		MUIA_Weight, 5,
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
		MUIA_Slider_Reverse, TRUE,
	End;

	Object->GA_label_4C = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_4C",
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_Max, 100,
	End;

	Object->SL_label_3C = SliderObject,
		MUIA_HelpNode, "SL_label_3C",
		MUIA_Weight, 5,
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
	End;

	Object->GA_label_6C = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_6C",
		MUIA_Gauge_Max, 100,
	End;

	Object->SL_label_4C = SliderObject,
		MUIA_HelpNode, "SL_label_4C",
		MUIA_Weight, 5,
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
		MUIA_Slider_Reverse, TRUE,
	End;

	GR_grp_8C = GroupObject,
		MUIA_HelpNode, "GR_grp_8C",
		MUIA_Group_Horiz, TRUE,
		Child, Object->SL_label_3C,
		Child, Object->GA_label_6C,
		Child, Object->SL_label_4C,
	End;

	Object->GA_label_5C = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_5C",
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_Max, 100,
	End;

	GR_grp_7C = GroupObject,
		MUIA_HelpNode, "GR_grp_7C",
		Child, Object->GA_label_4C,
		Child, GR_grp_8C,
		Child, Object->GA_label_5C,
	End;

	Object->SL_label_2C = SliderObject,
		MUIA_HelpNode, "SL_label_2C",
		MUIA_Weight, 5,
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 100,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Quiet, TRUE,
		MUIA_Slider_Level, 0,
	End;

	GR_grp_6C = GroupObject,
		MUIA_HelpNode, "GR_grp_6C",
		MUIA_Group_Horiz, TRUE,
		Child, Object->SL_label_1C,
		Child, GR_grp_7C,
		Child, Object->SL_label_2C,
	End;

	Object->GA_label_2C = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_2C",
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_Max, 100,
	End;

	GR_grp_4C = GroupObject,
		MUIA_HelpNode, "GR_grp_4C",
		Child, Object->GA_label_1C,
		Child, GR_grp_6C,
		Child, Object->GA_label_2C,
	End;

	Object->GA_label_3C = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_3C",
		MUIA_FixWidth, 15,
		MUIA_Gauge_Max, 100,
	End;

	GR_grp_3C = GroupObject,
		MUIA_HelpNode, "GR_grp_3C",
		MUIA_Group_Horiz, TRUE,
		Child, Object->GA_label_0C,
		Child, GR_grp_4C,
		Child, Object->GA_label_3C,
	End;

	GROUP_ROOT_2C = GroupObject,
		Child, obj_aux2,
		Child, GR_grp_3C,
	End;

	GR_grp_13 = GroupObject,
		MUIA_HelpNode, "GR_grp_13",
		Child, Object->TX_label_1,
		Child, GROUP_ROOT_2C,
	End;

	Object->STR_PO_label_3 = String("", 80);

	Object->PO_label_3 = PopobjectObject,
		MUIA_HelpNode, "PO_label_3",
		MUIA_Popstring_String, Object->STR_PO_label_3,
		MUIA_Popstring_Button, PopButton(MUII_PopUp),
		MUIA_Popobject_Object, GR_grp_13,
	End;

	GR_grp_12 = GroupObject,
		MUIA_HelpNode, "GR_grp_12",
		Child, Object->PO_label_0,
		Child, Object->PO_label_1,
		Child, Object->PO_label_2,
		Child, Object->PO_label_3,
	End;

	Object->GR_grp_10 = RegisterObject,
		MUIA_Register_Titles, Object->STR_GR_grp_10,
		MUIA_HelpNode, "GR_grp_10",
		Child, GR_grp_11,
		Child, GR_grp_12,
	End;

	GROUP_ROOT_3 = GroupObject,
		MUIA_Group_Horiz, TRUE,
		Child, GR_grp_9,
		Child, Object->GR_grp_10,
	End;

	Object->WI_PopUp = WindowObject,
		MUIA_Window_Title, "PopUp !",
		MUIA_Window_ID, MAKE_ID('3', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_3,
	End;

	Object->CY_label_0 = CycleObject,
		MUIA_HelpNode, "CY_label_0",
		MUIA_Cycle_Entries, Object->CY_label_0Content,
	End;

	Object->GA_label_7 = GaugeObject,
		GaugeFrame,
		MUIA_HelpNode, "GA_label_7",
		MUIA_FixHeight, 10,
		MUIA_Gauge_Horiz, TRUE,
		MUIA_Gauge_Max, 3,
	End;

	Object->SL_label_5 = SliderObject,
		MUIA_HelpNode, "SL_label_5",
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 3,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Level, 0,
	End;

	Space_14 = HVSpace;

	Object->RA_label_1 = RadioObject,
		MUIA_Frame, MUIV_Frame_Group,
		MUIA_HelpNode, "RA_label_1",
		MUIA_Radio_Entries, Object->RA_label_1Content,
	End;

	Space_15 = HVSpace;

	Object->SL_label_5C = SliderObject,
		MUIA_HelpNode, "SL_label_5C",
		MUIA_Slider_Min, 0,
		MUIA_Slider_Max, 3,
		MUIA_Group_Horiz, FALSE,
		MUIA_Slider_Level, 0,
		MUIA_Slider_Reverse, TRUE,
	End;

	GR_grp_14 = GroupObject,
		MUIA_HelpNode, "GR_grp_14",
		MUIA_Group_Horiz, TRUE,
		Child, Object->SL_label_5,
		Child, Space_14,
		Child, Object->RA_label_1,
		Child, Space_15,
		Child, Object->SL_label_5C,
	End;

	GROUP_ROOT_4 = GroupObject,
		Child, Object->CY_label_0,
		Child, Object->GA_label_7,
		Child, GR_grp_14,
	End;

	Object->WI_Connections = WindowObject,
		MUIA_Window_Title, "Connections",
		MUIA_Window_ID, MAKE_ID('4', 'W', 'I', 'N'),
		WindowContents, GROUP_ROOT_4,
	End;

	MN_label_0Quit = MenuitemObject,
		MUIA_Menuitem_Title, "Quit",
		MUIA_Menuitem_Shortcut, "Q",
	End;

	MN_label_0Project = MenuObject,
		MUIA_Menu_Title, "Project",
		MUIA_Family_Child, MN_label_0Quit,
	End;

	Object->MN_label_0 = MenustripObject,
		MUIA_Family_Child, MN_label_0Project,
	End;

	Object->App = ApplicationObject,
		MUIA_Application_Author, "Eric Totel",
		MUIA_Application_Menustrip, Object->MN_label_0,
		MUIA_Application_Base, "MUIB-Demo",
		MUIA_Application_Title, "MUIBuilder Demo",
		MUIA_Application_Version, "$VER: MUIBuilder-Demo 1.00 (26.09.94)",
		MUIA_Application_Copyright, "Eric Totel",
		MUIA_Application_Description, "Just a tricky demo !",
		SubWindow, Object->WI_Turn,
		SubWindow, Object->WI_Buttons,
		SubWindow, Object->WI_Gauges,
		SubWindow, Object->WI_PopUp,
		SubWindow, Object->WI_Connections,
	End;


	if (!Object->App)
	{
		FreeVec(Object);
		return(NULL);
	}

	DoMethod(MN_label_0Quit,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->App,
		2,
		MUIM_Application_ReturnID, MUIV_Application_ReturnID_Quit
		);

	DoMethod(Object->WI_Turn,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Turn,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->WI_Turn,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->App,
		2,
		MUIM_Application_ReturnID, MUIV_Application_ReturnID_Quit
		);

	DoMethod(Object->BT_One,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_One,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->BT_One,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_Two,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->BT_One,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Buttons,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_One,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Gauges,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Two,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_Two,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->BT_Two,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_Four,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->BT_Two,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_PopUp,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Two,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Gauges,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_begin,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_One,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->BT_begin,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Buttons,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_begin,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_begin,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->BT_Three,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_Three,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->BT_Three,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_One,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->BT_Three,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Buttons,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->BT_Three,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Connections,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Four,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_Four,
		3,
		MUIM_Set, MUIA_Disabled, TRUE
		);

	DoMethod(Object->BT_Four,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->BT_Three,
		3,
		MUIM_Set, MUIA_Disabled, FALSE
		);

	DoMethod(Object->BT_Four,
		MUIM_Notify, MUIA_Pressed, TRUE,
		Object->WI_PopUp,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_Four,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->WI_Connections,
		3,
		MUIM_Set, MUIA_Window_Open, TRUE
		);

	DoMethod(Object->WI_Turn,
		MUIM_Window_SetCycleChain, Object->BT_One,
		Object->BT_Two,
		Object->BT_begin,
		Object->BT_Three,
		Object->BT_Four,
		0
		);

	DoMethod(MN_label_21st_button,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->TX_label_0,
		3,
		MUIM_Set, MUIA_Text_Contents, "1st menu selected"
		);

	DoMethod(MN_label_22nd_button,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->TX_label_0,
		3,
		MUIM_Set, MUIA_Text_Contents, "2nd menu selected"
		);

	DoMethod(MN_label_23rd_button,
		MUIM_Notify, MUIA_Menuitem_Trigger, MUIV_EveryTime,
		Object->TX_label_0,
		3,
		MUIM_Set, MUIA_Text_Contents, "3rd menu selected"
		);

	DoMethod(Object->WI_Buttons,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Buttons,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->BT_label_4,
		MUIM_Notify, MUIA_Pressed, FALSE,
		Object->TX_label_0,
		3,
		MUIM_Set, MUIA_Text_Contents, "You clicked 1st button"
		);

	DoMethod(Object->BT_label_5,
		MUIM_Notify, MUIA_Pressed, TRUE,
		Object->TX_label_0,
		3,
		MUIM_Set, MUIA_Text_Contents, "You clicked 2nd button"
		);

	DoMethod(Object->BT_label_6,
		MUIM_Notify, MUIA_Pressed, TRUE,
		Object->TX_label_0,
		3,
		MUIM_Set, MUIA_Text_Contents, "You clicked 3rd button"
		);

	DoMethod(Object->WI_Buttons,
		MUIM_Window_SetCycleChain, Object->BT_label_4,
		Object->BT_label_5,
		Object->BT_label_6,
		Object->TX_label_0,
		0
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_0,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_1,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_2,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_3,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_1,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_2,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_4,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_5,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_6,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_3,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_4,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_1,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_4,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_3,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_6,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_3,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_4,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_4,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_6,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_4,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_3,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_2,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_5,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->WI_Gauges,
		MUIM_Window_SetCycleChain, Object->SL_label_0,
		Object->GA_label_0,
		Object->GA_label_1,
		Object->SL_label_1,
		Object->GA_label_4,
		Object->SL_label_3,
		Object->GA_label_6,
		Object->SL_label_4,
		Object->GA_label_5,
		Object->SL_label_2,
		Object->GA_label_2,
		Object->GA_label_3,
		0
		);

	DoMethod(Object->WI_PopUp,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_PopUp,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->RA_label_0,
		MUIM_Notify, MUIA_Radio_Active, MUIV_EveryTime,
		Object->GR_grp_10,
		3,
		MUIM_Set, MUIA_Group_ActivePage, MUIV_TriggerValue
		);

	DoMethod(Object->GR_grp_10,
		MUIM_Notify, MUIA_Group_ActivePage, MUIV_EveryTime,
		Object->RA_label_0,
		3,
		MUIM_Set, MUIA_Radio_Active, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_0C,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_1C,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_1C,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_4C,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_3C,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_6C,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_4C,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_5C,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->SL_label_2C,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_2C,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_0C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->GA_label_3C,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->WI_PopUp,
		MUIM_Window_SetCycleChain, Object->RA_label_0,
		Object->TX_label_2,
		Object->GR_grp_10,
		Object->PA_label_0,
		Object->PA_label_1,
		Object->PA_label_2,
		Object->PO_label_0,
		Object->PO_label_1,
		Object->PO_label_2,
		Object->PO_label_3,
		0
		);

	DoMethod(Object->WI_Connections,
		MUIM_Notify, MUIA_Window_CloseRequest, TRUE,
		Object->WI_Connections,
		3,
		MUIM_Set, MUIA_Window_Open, FALSE
		);

	DoMethod(Object->CY_label_0,
		MUIM_Notify, MUIA_Cycle_Active, MUIV_EveryTime,
		Object->GA_label_7,
		3,
		MUIM_Set, MUIA_Gauge_Current, MUIV_TriggerValue
		);

	DoMethod(Object->CY_label_0,
		MUIM_Notify, MUIA_Cycle_Active, MUIV_EveryTime,
		Object->RA_label_1,
		3,
		MUIM_Set, MUIA_Radio_Active, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_5,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->RA_label_1,
		3,
		MUIM_Set, MUIA_Radio_Active, MUIV_TriggerValue
		);

	DoMethod(Object->RA_label_1,
		MUIM_Notify, MUIA_Radio_Active, MUIV_EveryTime,
		Object->CY_label_0,
		3,
		MUIM_Set, MUIA_Cycle_Active, MUIV_TriggerValue
		);

	DoMethod(Object->RA_label_1,
		MUIM_Notify, MUIA_Radio_Active, MUIV_EveryTime,
		Object->SL_label_5,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->RA_label_1,
		MUIM_Notify, MUIA_Radio_Active, MUIV_EveryTime,
		Object->SL_label_5C,
		3,
		MUIM_Set, MUIA_Slider_Level, MUIV_TriggerValue
		);

	DoMethod(Object->SL_label_5C,
		MUIM_Notify, MUIA_Slider_Level, MUIV_EveryTime,
		Object->RA_label_1,
		3,
		MUIM_Set, MUIA_Radio_Active, MUIV_TriggerValue
		);

	DoMethod(Object->WI_Connections,
		MUIM_Window_SetCycleChain, Object->CY_label_0,
		Object->GA_label_7,
		Object->SL_label_5,
		Object->RA_label_1,
		Object->SL_label_5C,
		0
		);

	set(Object->WI_Turn,
		MUIA_Window_Open, TRUE
		);


	return(Object);
}

void DisposeApp(struct ObjApp * Object)
{
	MUI_DisposeObject(Object->App);
	FreeVec(Object);
}
